# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require "shin/version"

Gem::Specification.new do |s|
  s.name               = "shin"
  s.version            = Shin::VERSION
  s.platform           = Gem::Platform::RUBY
  s.licenses           = ['GPL 2.0']

  s.authors 		= ["Joakim Nylen"]
  s.date 		= %q{2015-02-23}
  s.email		= %q{me@jnylen.nu}
  s.files       	= `git ls-files`.split($/)
  s.test_files  	= s.files.grep(%r{^(test|spec|features)/})
  s.homepage 		= %q{https://github.com/jnylen/shin}
  s.require_paths 	= ["lib"]
  s.summary 		= "Shin provides a way to fetch data from various places."
  s.description 	= "Shin provides a way to fetch data for various places such as SVTPlay, Viasat Image, DFI, SFI etc."

  # We need these for all
  s.add_dependency(%q<nokogiri>, ["~> 1.5"])
  s.add_runtime_dependency 'oj', '~> 2.11', '>= 2.11.1'
  s.add_runtime_dependency 'httparty', '~> 0.6', '>= 0.6.1'
  s.add_runtime_dependency 'hashugar', '~> 1.0', '>= 1.0.0'
end

